Estimate total spend
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/estimate \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/estimate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": "<string>",
"sub_total": "<string>",
"vouchers": "<string>",
"user_licenses": {
"base": {
"count": 123,
"total": "<string>",
"list": {
"admin_user": {
"count": 123,
"total": "<string>"
},
"viewer_user": {
"count": 123,
"total": "<string>"
}
}
},
"user_management": {
"count": 123,
"total": "<string>",
"list": {
"standard_management_user": {
"count": 123,
"total": "<string>"
},
"advanced_management_user": {
"count": 123,
"total": "<string>"
}
}
}
},
"user_management": "<string>",
"support_level": "<string>",
"subscriptions": {
"total": "<string>",
"list": [
{
"license_id": "<string>",
"project_title": "<string>",
"total": "<string>",
"usage": {
"cpu": 123,
"memory": 123,
"storage": 123,
"environments": 123
}
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Organization Management
Estimate total spend
deprecated
Estimates the total spend for the specified organization.
GET
/
organizations
/
{organization_id}
/
estimate
Estimate total spend
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Response
OK
An estimation of all organization spend.
The total estimated price for the organization.
The sub total for all projects and sellables.
The total amount of vouchers.
An estimation of user licenses cost.
Show child attributes
Show child attributes
An estimation of the advanced user management sellable cost.
The total monthly price for premium support.
An estimation of subscriptions cost.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?